
/*
 * This is a simple data dump from a quick example query
 * on the companies dataset
 */

const aggs = [{
  id: '1',
  type: 'count',
  schema: 'metric',
  params: {}
}, {
  id: '2',
  type: 'terms',
  schema: 'segment',
  params: {
    field: 'geo.src',
  }
}, {
  id: '3',
  type: 'histogram',
  schema: 'segment',
  params: {
    field: 'phpmemory',
    interval: 2,
    customLabel: 'Test Label'
  }
}, {
  id: '4',
  type: 'avg',
  schema: 'metric',
  params: {
    field: 'bytes'
  }
}];

const response = JSON.parse(`{
  "took": 7,
  "timed_out": false,
  "_shards": {
    "total": 5,
    "successful": 5,
    "skipped": 0,
    "failed": 0
  },
  "hits": {
    "total": 68350,
    "max_score": 0,
    "hits": []
  },
  "aggregations": {
    "2": {
      "doc_count_error_upper_bound": 163,
      "sum_other_doc_count": 23909,
      "buckets": [
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": 24.88256227758007
                },
                "key": 2008,
                "doc_count": 437
              },
              {
                "4": {
                  "value": 12.712837837837839
                },
                "key": 2010,
                "doc_count": 906
              },
              {
                "4": {
                  "value": 7.814332247557004
                },
                "key": 2012,
                "doc_count": 464
              }
            ]
          },
          "key": "San Francisco",
          "doc_count": 1807
        },
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": 23.934362934362934
                },
                "key": 2008,
                "doc_count": 440
              },
              {
                "4": {
                  "value": 26.770676691729324
                },
                "key": 2010,
                "doc_count": 860
              },
              {
                "4": {
                  "value": 742.5352564102565
                },
                "key": 2012,
                "doc_count": 459
              }
            ]
          },
          "key": "New York",
          "doc_count": 1759
        },
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": 31.564853556485357
                },
                "key": 2008,
                "doc_count": 336
              },
              {
                "4": {
                  "value": 73.50374064837905
                },
                "key": 2010,
                "doc_count": 574
              },
              {
                "4": {
                  "value": 16.08296943231441
                },
                "key": 2012,
                "doc_count": 336
              }
            ]
          },
          "key": "London",
          "doc_count": 1246
        },
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": 12.564516129032258
                },
                "key": 2008,
                "doc_count": 98
              },
              {
                "4": {
                  "value": 15.80921052631579
                },
                "key": 2010,
                "doc_count": 210
              },
              {
                "4": {
                  "value": 36.28735632183908
                },
                "key": 2012,
                "doc_count": 125
              }
            ]
          },
          "key": "Chicago",
          "doc_count": 433
        },
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": 16.246153846153845
                },
                "key": 2008,
                "doc_count": 98
              },
              {
                "4": {
                  "value": 14.175182481751825
                },
                "key": 2010,
                "doc_count": 209
              },
              {
                "4": {
                  "value": 7.6103896103896105
                },
                "key": 2012,
                "doc_count": 115
              }
            ]
          },
          "key": "Los Angeles",
          "doc_count": 422
        },
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": 207.48275862068965
                },
                "key": 2008,
                "doc_count": 115
              },
              {
                "4": {
                  "value": 9.797979797979798
                },
                "key": 2010,
                "doc_count": 164
              },
              {
                "4": {
                  "value": 6.781818181818182
                },
                "key": 2012,
                "doc_count": 85
              }
            ]
          },
          "key": "Seattle",
          "doc_count": 364
        },
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": null
                },
                "key": 2006,
                "doc_count": 1
              },
              {
                "4": {
                  "value": 21.30952380952381
                },
                "key": 2008,
                "doc_count": 76
              },
              {
                "4": {
                  "value": 11.756302521008404
                },
                "key": 2010,
                "doc_count": 204
              },
              {
                "4": {
                  "value": 7.1568627450980395
                },
                "key": 2012,
                "doc_count": 81
              }
            ]
          },
          "key": "Palo Alto",
          "doc_count": 362
        },
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": 14.547945205479452
                },
                "key": 2008,
                "doc_count": 91
              },
              {
                "4": {
                  "value": 9.5390625
                },
                "key": 2010,
                "doc_count": 160
              },
              {
                "4": {
                  "value": 6.349206349206349
                },
                "key": 2012,
                "doc_count": 78
              }
            ]
          },
          "key": "Toronto",
          "doc_count": 329
        },
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": 71.53968253968254
                },
                "key": 2008,
                "doc_count": 92
              },
              {
                "4": {
                  "value": 10.02803738317757
                },
                "key": 2010,
                "doc_count": 154
              },
              {
                "4": {
                  "value": 7.413043478260869
                },
                "key": 2012,
                "doc_count": 75
              }
            ]
          },
          "key": "Paris",
          "doc_count": 321
        },
        {
          "3": {
            "buckets": [
              {
                "4": {
                  "value": 32.924528301886795
                },
                "key": 2008,
                "doc_count": 80
              },
              {
                "4": {
                  "value": 10.479166666666666
                },
                "key": 2010,
                "doc_count": 155
              },
              {
                "4": {
                  "value": 7.956521739130435
                },
                "key": 2012,
                "doc_count": 74
              }
            ]
          },
          "key": "Austin",
          "doc_count": 309
        }
      ]
    }
  },
  "planner": {
    "took_in_millis": 14,
    "timestamp": {
      "start_in_millis": 779489,
      "stop_in_millis": 779503,
      "took_in_millis": 14
    },
    "is_pruned": false
  },
  "status": 200
}`);

export { aggs, response };
