
import _ from 'lodash';


export function assert(value, message) {
  if (!value) { throw new Error(message || 'Assert Failed'); }
}

export function arrayMoveValue(arr, srcIdx, dstIdx) {
  arr.splice(dstIdx, 0, arr.splice(srcIdx, 1)[0]);
}

export function lowerBound(arr, val, iter = _.identity) {
  let lo = 0;
  let mid;
  let hi = arr.length;

  while (lo < hi) {
    mid = (lo + hi) >>> 1;
    val <= iter(arr[mid]) ? hi = mid : lo = mid + 1;
  }

  return lo;
}

export function upperBound(arr, val, iter = _.identity) {
  let lo = -1;
  let mid;
  let hi = arr.length - 1;

  while (lo < hi) {
    mid = (lo + hi + 1) >>> 1;
    val < iter(arr[mid]) ? hi = mid - 1 : lo = mid;
  }

  return hi;
}

export function paddedIp(ip) {
  let sep;
  let charsCount;

  if (ip[1] === '.' || ip[2] === '.' || ip[3] === '.') {
    sep = '.';
    charsCount = 3;
  } else {
    sep = ':';
    charsCount = 4;
  }

  return _(ip)
    .split(sep)
    .map(chars => _.padLeft(chars, charsCount, '0'))
    .join(sep);
}

